Get ticket approval
curl --request GET \
--url https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "pending",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"siteName": "<string>",
"chain": "<string>",
"currentStep": 123,
"stepCount": 123,
"requestedBy": "<string>",
"requestedAt": "<string>",
"decidedAt": "<string>",
"decidedBy": "<string>",
"decisionNote": "<string>",
"overridden": true,
"ticket": {},
"ticketStatus": "none",
"canDecide": true,
"details": [
{
"label": "<string>",
"value": "<string>"
}
],
"steps": [
{
"position": 123,
"name": "<string>",
"status": "waiting",
"requiredApprovals": 123,
"dueAt": "<string>",
"approvers": [
{
"name": "<string>",
"status": "pending",
"decidedAt": "<string>",
"note": "<string>"
}
]
}
],
"history": [
{
"type": "submitted",
"step": 123,
"actor": "<string>",
"note": "<string>",
"at": "<string>"
}
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Tickets
Get ticket approval
One ticket approval request: what was asked for, each approval step with its approvers and decisions, the history, and the ticket it became once approved. Requires tickets.read, read_tickets and the ticket_approval_chains feature.
GET
/
api
/
public
/
v1
/
tickets
/
approvals
/
{requestId}
Get ticket approval
curl --request GET \
--url https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/tickets/approvals/{requestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "pending",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"siteName": "<string>",
"chain": "<string>",
"currentStep": 123,
"stepCount": 123,
"requestedBy": "<string>",
"requestedAt": "<string>",
"decidedAt": "<string>",
"decidedBy": "<string>",
"decisionNote": "<string>",
"overridden": true,
"ticket": {},
"ticketStatus": "none",
"canDecide": true,
"details": [
{
"label": "<string>",
"value": "<string>"
}
],
"steps": [
{
"position": 123,
"name": "<string>",
"status": "waiting",
"requiredApprovals": 123,
"dueAt": "<string>",
"approvers": [
{
"name": "<string>",
"status": "pending",
"decidedAt": "<string>",
"note": "<string>"
}
]
}
],
"history": [
{
"type": "submitted",
"step": 123,
"actor": "<string>",
"note": "<string>",
"at": "<string>"
}
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Was this page helpful?